// pages/wages/detail.js
import {
  myPayRollDetail
} from '../../../../services/index.js'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    close: true
  },
  close() {
    this.setData({
      close: false
    })
  },
  getData(hpPayroll_id = this.data.id) {
    myPayRollDetail({
      user_id: wx.getStorageSync('user_id'),
      user_token: wx.getStorageSync('user_token'),
      member_id: wx.getStorageSync('member_id'),
      hpPayroll_id
    }).then(data => {
      const payrollDetail = JSON.parse(data.data.hpPayroll.payrollDetail)
      this.setData({
        ...data.data.hpPayroll,
        payrollDetail
      })
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    if (options.id) {
      this.getData(options.id)
    }
    wx.getStorage({
      key: 'hpMember',
      success: (res) => {
        this.setData({
          realName: res.data.realName,
        })
      },
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {
    this.getData(this.data.id)
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  },
})